commit 504545cea1938bcbffb5fc4f827eb52bbbae1941
Author: Martin Liska <mliska@suse.cz>
Date:   Wed May 12 14:03:36 2021 +0200

    lto-wrapper: silent warnings in tests
    
    Silents the following warning:
    lto-wrapper: warning: using serial compilation of 2 LTRANS jobs
    
    gcc/testsuite/ChangeLog:
    
            * lib/lto.exp: When running tests without jobserver, one can see
            the following warning for tests that use 1to1 partitioning.
    
    (cherry picked from commit fc186594e3ee86a57841442e96306dddfd8eb85d)

diff --git a/gcc/testsuite/lib/lto.exp b/gcc/testsuite/lib/lto.exp
index b2fa7ec8cec..da4456e3aa1 100644
--- a/gcc/testsuite/lib/lto.exp
+++ b/gcc/testsuite/lib/lto.exp
@@ -159,6 +159,9 @@ proc lto_prune_warns { text } {
     regsub -all "(^|\n)\[ \t\]*\[\(\]file \[^\n\]* value=\[^\n\]*; file \[^\n\]* value=\[^\n\]*\[)\];" $text "" text
     regsub -all "(^|\n)\[ \t\]*\[^\n\]* definition taken" $text "" text
 
+    # Ignore missing jobserver for tests that do more than 1 LTRANS unit
+    regsub -all "(^|\n)\[^\n\]*: warning: using serial compilation of \[^\n\]*" $text "" text
+
     # Ignore informational notes.
     regsub -all "(^|\n)\[^\n\]*: note: \[^\n\]*" $text "" text
 

